DELETE /api/workflows/workflow/{id}

Spaces method and path for this operation:

delete /s/{space_id}/api/workflows/workflow/{id}

Refer to Spaces for more information.

Delete a single workflow by its ID.

[Required authorization] Route required privileges: workflowsManagement:delete.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • id string Required

    Workflow ID

Query parameters

  • force boolean

    When true, permanently deletes the workflow (hard delete) instead of soft-deleting it. The workflow ID becomes available for reuse.

    Default value is false.

Responses

  • 200

    Indicates a successful response

DELETE /api/workflows/workflow/{id}
curl \
  -X DELETE "${KIBANA_URL}/api/workflows/workflow/{id}" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true"
curl \
  -X DELETE "${KIBANA_URL}/api/workflows/workflow/{id}?force=true" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true"
DELETE kbn://api/workflows/workflow/{id}